org.red5.server.stream

## Interface ITokenBucketService

    public interface ITokenBucketService

A service used to create and manage token buckets.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

### Field Summary

Fields
`static String` `KEY`

### Method Summary

Methods
`ITokenBucket` `createTokenBucket(long capacity, long speed)` Create a token bucket.
`void` `removeTokenBucket(ITokenBucket bucket)` Remove this bucket.

### Field Detail

#### KEY

    static final String KEY

See Also:
  Constant Field Values

### Method Detail

#### createTokenBucket

    ITokenBucket createTokenBucket(long capacity,
                                 long speed)

Create a token bucket.

Parameters:
  `capacity` - Capacity of the bucket.
  `speed` - Speed of the bucket. Bytes per millisecond.
Returns:
  `null` if fail to create.

#### removeTokenBucket

    void removeTokenBucket(ITokenBucket bucket)

Remove this bucket.

Parameters:
  `bucket` - Bucket to remove